/// <reference types="react" />
import { UseCase, PassSDK, RedeemAndRevealSDK, SimultaneousRevealSDK } from '@inkerlabs/sdk';
export interface CommonProps {
    error?: string;
}
declare type SdkProps = {
    useCase?: UseCase.PASS;
    sdk?: PassSDK;
} | {
    useCase?: UseCase.RR;
    sdk?: RedeemAndRevealSDK;
} | {
    useCase?: UseCase.SR;
    sdk?: SimultaneousRevealSDK;
};
export declare type IContext = CommonProps & SdkProps;
declare const context: import("react").Context<IContext>;
export default context;
