import { Web3Auth } from '@web3auth/web3auth';
import { TorusWalletConnectorPlugin } from '@web3auth/torus-wallet-connector-plugin';
import { SafeEventEmitterProvider } from '@web3auth/base';
import { ethers } from 'ethers';
export default function useWebThreeAuth(): {
    web3auth: Web3Auth | null;
    provider: ethers.providers.JsonRpcFetchFunc | null;
    signer: ethers.providers.JsonRpcSigner | null;
    pending: boolean;
    infos: Partial<import("@toruslabs/openlogin").OpenloginUserInfo> | null;
    torusPlugin: TorusWalletConnectorPlugin | null;
    connect: () => Promise<SafeEventEmitterProvider | null | undefined>;
};
